Bug 1894408 - KuryrPorts leftovers from 4.6 GA need to be deleted
Summary: KuryrPorts leftovers from 4.6 GA need to be deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.z
Assignee: Michał Dulko
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On: 1894194
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-04 08:13 UTC by OpenShift BugZilla Robot
Modified: 2021-03-30 17:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Due to https://bugzilla.redhat.com/show_bug.cgi?id=1886871 unnecessary Neutron ports were created for hostNetworking pods. Consequence: Deployments installed with that bug existing would keep a number of unnecessary Neutron ports. Fix: On startup Kuryr makes sure to delete any unnecessary ports created for hostNetworking pods. Result: After upgrading to a version with this bug fix the ports should get removed.
Clone Of:
Environment:
Last Closed: 2021-03-30 17:03:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 395 0 None open [release-4.6] Bug 1894408: Delete ports created for host networking pods 2021-02-15 07:42:47 UTC
Red Hat Product Errata RHBA-2021:0952 0 None None None 2021-03-30 17:03:25 UTC

Comment 3 Itzik Brown 2021-03-25 05:56:15 UTC
Followed the verification steps in https://bugzilla.redhat.com/show_bug.cgi?id=1894194
Updated from 4.6.0 to 4.6.0-0.nightly-2021-03-21-131139

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-03-21-131139   True        False         18m     Cluster version is 4.6.0-0.nightly-2021-03-21-131139
$ cat host-networking-pods  |wc -l
81
$ oc get kp -A | grep -f host-networking-pods | wc -l
0

Comment 5 errata-xmlrpc 2021-03-30 17:03:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.23 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0952


Note You need to log in before you can comment on or make changes to this bug.